Package org.eclipse.jdt.ui.actions

# Class FormatAllAction.ObjectDelegate

java.lang.Object
org.eclipse.jdt.ui.actions.FormatAllAction.ObjectDelegate

All Implemented Interfaces:
  `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IObjectActionDelegate`

Enclosing class:
  FormatAllAction

public static class FormatAllAction.ObjectDelegate extends Object implements org.eclipse.ui.IObjectActionDelegate

## Constructor Summary

Constructors
Constructor
Description
`ObjectDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.eclipse.jface.action.IAction action)`
`void`
`selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void`
`setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectDelegate

public ObjectDelegate()

## Method Details

### setActivePart

public void setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)

Specified by:
  `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`

### run

public void run(org.eclipse.jface.action.IAction action)

Specified by:
  `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

public void selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`